.promo {
    z-index: 200;
    position: relative;
    margin-bottom: 60px;

    &__slide {
        position: relative;
        height: calc(var(--vh, 1vh) * 100);
        display: flex;
        flex-direction: column;
        justify-content: flex-end;

        &--wrap {
            height: 100%;
        }
    }

    &__countdown {
        z-index: 50;
        position: relative;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: 140px;
    }
}

.slide-one {
    overflow: hidden;
    max-height: 755px;
    position: relative;

    &__image {
        top: 192px;
        left: -185px;
        z-index: 20;
        width: 1026px;
        position: relative;
    }

    &__shadow {
        z-index: 5;
        width: 1024px;
        left: -203px;
        top: 182px;
        position: absolute;
    }

    &__slogan {
        z-index: 10;
        width: 300px;
        left: 40px;
        top: 220px;
        color: $white;
        position: absolute;
        font-weight: 700;
        font-size: size-rel(170px);
        line-height: size-rel(170px);
        font-family: $font-family-third;
    }

    &__text {
        z-index: 30;
        width: 238px;
        left: 28px;
        top: 360px;
        color: $white;
        position: absolute;
        font-weight: 700;
        font-family: $font-family-third;
        font-size: size-rel(40px);
        line-height: size-rel(40px);
    }

    @include media-breakpoint-up(sm) {

        &__image {
            left: 0;
            top: 93px;
            z-index: 20;
            width: 684px;
        }

        &__shadow {
            width: 684px;
            left: -10px;
            top: 86px;
        }

        &__slogan {
            left: 160px;
            top: 115px;
            font-size: size-rel(130px);
            line-height: size-rel(130px);
        }

        &__text {
            left: 150px;
            top: 210px;
            white-space: nowrap;
            font-size: size-rel(30px);
            line-height: size-rel(30px);
        }
    }

    @include media-breakpoint-up(md) {
        max-height: 660px;

        &__image {
            left: 0;
            top: 93px;
            z-index: 20;
            width: 1200px;
        }

        &__shadow {
            width: 1200px;
            left: -30px;
            top: 86px;
        }

        &__slogan {
            top: 50px;
            left: 200px;
            font-size: size-rel(290px);
            line-height: size-rel(290px);
        }

        &__text {
            height: 84px;
            left: 200px;
            top: 290px;
            font-size: size-rel(60px);
            line-height: size-rel(60px);
        }
    }

    @include media-breakpoint-up(lg) {
        height: auto;
        max-height: inherit;

        &__image {
            top: 20%;
            width: 110%;
        }

        &__shadow {
            top: 20%;
            width: 110%;
        }

        &__slogan {
            top: 50px;
            left: 160px;
            font-size: size-rel(340px);
            line-height: size-rel(340px);
        }

        &__text {
            top: 320px;
            left: 160px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__image {
            top: 25%;
            width: 100%;
        }

        &__shadow {
            top: 25%;
            width: 100%;
        }

        &__slogan {
            top: 20%;
            left: 17%;
            font-size: size-rel(400px);
            line-height: size-rel(400px);
        }

        &__text {
            top: 58%;
            left: 17%;
            font-size: size-rel(100px);
            line-height: size-rel(90px);
        }
    }

    @media (min-width: 1920px) {
        width: 1920px;
        margin: 0 auto;
    }
}

.slide-two {
    overflow: hidden;
    max-height: 755px;
    position: relative;
    background-position: 90% 100%;
    background-size: cover;


    &__text {
        color: $white;
        z-index: 20;
        top: calc(40% - 50px);
        left: 30px;
        position: absolute;
        font-weight: 700;
        font-size: size-rel(56px);
        line-height: size-rel(56px);
        font-family: $font-family-third;

        &--one {
            width: 272px;
            white-space: nowrap;
            position: relative;
            margin-bottom: 10px;
        }

        &--two {
            left: 40px;
            width: 246px;
            white-space: nowrap;
            position: relative;
        }
    }


    &__wrap {
        top: 0;
        left: 0;
        position: absolute;
    }


    @include media-breakpoint-up(sm) {

        &__text {
            top: calc(50% - 90px);
        }
    }


    @include media-breakpoint-up(md) {
        max-height: inherit;
        height: 100%;

        &__text {
            left: 100px;
            top: calc(50% - 130px);
            font-size: size-rel(90px);
            line-height: size-rel(90px);

            &--one {
                width: 380px;
            }

            &--two {
                left: 40px;
                width: 390px;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        background-position: 50% 50%;


        &__text {
            left: calc(50% - 450px);
            top: calc(50% - 130px);
            font-size: size-rel(100px);
            line-height: size-rel(100px);

            &--one {
                width: 440px;
            }

            &--two {
                left: 40px;
                width: 450px;
            }
        }
    }

    @include media-breakpoint-up(xl) {


        &__text {
            left: calc(50% - 550px);
            top: calc(50% - 170px);
            font-size: size-rel(120px);
            line-height: size-rel(120px);

            &--one {
                width: 600px;
            }

            &--two {
                left: 40px;
                width: 600px;
            }
        }
    }


    @media (min-width: 1880px) {

        &__text {
            left: calc(50% - 550px);
            top: calc(50% - 170px);

            &--one {
                width: 800px;
            }

            &--two {
                left: 100px;
                width: 800px;
            }
        }
    }
}

.slide-three {
    overflow: hidden;
    max-height: 755px;
    position: relative;
    background-position: 60% 100%;
    background-size: cover;

    &__text {
        z-index: 10;
        color: $white;
        top: calc(50% - 50px);
        left: 30px;
        position: absolute;
        font-weight: 700;
        font-size: size-rel(80px);
        line-height: size-rel(80px);
        font-family: $font-family-third;

        &--one {
            margin-bottom: 10px;
        }

        &--two {
            left: 30px;
            position: relative;
        }
    }


    @include media-breakpoint-up(sm) {

        &__text {
            top: calc(50% - 80px);
        }
    }



    @include media-breakpoint-up(md) {
        max-height: inherit;
        background-position: 65% 100%;
        height: 100%;

        &__text {
            left: 50px;
            white-space: nowrap;
            top: calc(50% - 100px);
            font-size: size-rel(140px);
            line-height: size-rel(140px);

            &--one {
            }

            &--two {
                left: 40px;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        background-position: 50% 50%;


        &__text {
            left: calc(50% - 450px);
            top: calc(50% - 130px);

            &--one {
                width: 380px;
            }

            &--two {
                left: 40px;
                width: 490px;
            }
        }
    }
    @include media-breakpoint-up(xl) {


        &__text {
            left: calc(50% - 550px);
            top: calc(50% - 170px);
            font-size: size-rel(180px);
            line-height: size-rel(180px);

            &--one {

            }

            &--two {
                left: 40px;

            }
        }
    }


    @media (min-width: 1880px) {

        &__text {
            left: calc(50% - 550px);
            top: calc(50% - 170px);

            &--one {
                width: 800px;
            }

            &--two {
                left: 100px;
                width: 800px;
            }
        }
    }
}


.promo-countdown {
    margin-top: -100px;
    background: $white;
    padding: 40px 30px;
    border-radius: 30px;
    box-shadow: 0px 11px 33px 7px rgba(0,0,0,0.08);

    &__main {
        margin-bottom: 25px;
        display: flex;
        justify-content: space-between;
    }

    &__item {
        text-align: center;
    }

    &__value {
        color: $yellow;
        font-weight: 800;
        margin-bottom: 10px;
        font-size: size-rel(36px);
        line-height: 1;
    }

    &__label {
        font-size: size-rel(13px);
        line-height: size-rel(20px);
    }

    &__text {
        font-weight: 600;
        font-size: size-rel(20px);
    }

    @include media-breakpoint-up(sm) {
        padding: 40px 60px;

        &__value {
            font-size: size-rel(44px);
        }
    }

    @include media-breakpoint-up(md) {
        height: 238px;
        display: flex;
        align-items: center;

        &__main {
            flex-grow: 1;
            margin-bottom: 0;
        }

        &__value {
            font-size: size-rel(44px);
        }

        &__label {
            font-size: size-rel(16px);
        }

        &__text {
            line-height: 0.8;
            font-size: size-rel(62px);
            flex-shrink: 0;
            padding-left: 64px;
            margin-left: 40px;
            position: relative;

            &:before {
                top: 0;
                left: 0;
                content: '/';
                display: block;
                color: $yellow;
                font-style: italic;
                position: absolute;
                line-height: size-rel(150px);
                font-weight: 700;
                font-size: size-rel(130px);
            }

            span {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        padding-right: 80px;

        &__value {
            font-size: size-rel(56px);
        }

        &__text {
            margin-left: 70px;
            padding-left: 90px;
        }
    }

    @include media-breakpoint-up(xl) {}
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
